Change a member's role in this workspace
curl --request PATCH \
--url https://api.plugkit.co/v1/workspaces/members/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "admin"
}
'import requests
url = "https://api.plugkit.co/v1/workspaces/members/{id}"
payload = { "role": "admin" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({role: 'admin'})
};
fetch('https://api.plugkit.co/v1/workspaces/members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.plugkit.co/v1/workspaces/members/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'role' => 'admin'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.plugkit.co/v1/workspaces/members/{id}"
payload := strings.NewReader("{\n \"role\": \"admin\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.plugkit.co/v1/workspaces/members/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"role\": \"admin\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.plugkit.co/v1/workspaces/members/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"role\": \"admin\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Done",
"member": {
"id": "<string>",
"email": "<string>",
"role": "admin",
"status": "<string>",
"invitedAt": "2026-11-10T09:30:00.000Z",
"acceptedAt": "2026-11-10T09:30:00.000Z"
}
}{
"error": "2 validation errors on the request.",
"type": "invalid_request_error",
"code": "validation_failed",
"details": {
"fields": [
"content should not be empty",
"accountIds must be an array"
]
}
}{
"error": "Invalid API key.",
"type": "authentication_error",
"code": "unauthorized"
}{
"error": "No post found with id 'cm3post000001'.",
"type": "not_found",
"code": "post_not_found",
"details": {
"id": "cm3post000001"
}
}{
"error": "Rate limit exceeded: 60 write requests per minute. Retry in 12s.",
"type": "rate_limit_error",
"code": "rate_limited",
"details": {
"limit": 60,
"bucket": "write",
"retryAfter": 12
}
}workspaces
Change a member's role in this workspace
PATCH
/
v1
/
workspaces
/
members
/
{id}
Change a member's role in this workspace
curl --request PATCH \
--url https://api.plugkit.co/v1/workspaces/members/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "admin"
}
'import requests
url = "https://api.plugkit.co/v1/workspaces/members/{id}"
payload = { "role": "admin" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({role: 'admin'})
};
fetch('https://api.plugkit.co/v1/workspaces/members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.plugkit.co/v1/workspaces/members/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'role' => 'admin'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.plugkit.co/v1/workspaces/members/{id}"
payload := strings.NewReader("{\n \"role\": \"admin\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.plugkit.co/v1/workspaces/members/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"role\": \"admin\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.plugkit.co/v1/workspaces/members/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"role\": \"admin\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Done",
"member": {
"id": "<string>",
"email": "<string>",
"role": "admin",
"status": "<string>",
"invitedAt": "2026-11-10T09:30:00.000Z",
"acceptedAt": "2026-11-10T09:30:00.000Z"
}
}{
"error": "2 validation errors on the request.",
"type": "invalid_request_error",
"code": "validation_failed",
"details": {
"fields": [
"content should not be empty",
"accountIds must be an array"
]
}
}{
"error": "Invalid API key.",
"type": "authentication_error",
"code": "unauthorized"
}{
"error": "No post found with id 'cm3post000001'.",
"type": "not_found",
"code": "post_not_found",
"details": {
"id": "cm3post000001"
}
}{
"error": "Rate limit exceeded: 60 write requests per minute. Retry in 12s.",
"type": "rate_limit_error",
"code": "rate_limited",
"details": {
"limit": 60,
"bucket": "write",
"retryAfter": 12
}
}Authorizations
Body
application/json
member : la portée de données du workspace, sans la facturation. admin : tout ce que le propriétaire peut faire — abonnement, plafond de dépense X, invitations. Le propriétaire lui-même n'a pas de rôle : il ne peut pas être retiré.
Available options:
member, admin Example:
"admin"